const express = require('express');
const router = express.Router();
const authMiddleware = require('../middleware/authMiddleware');
const {
  getAllWorshipLeaders,
  createWorshipLeader,
  updateWorshipLeader,
  deleteWorshipLeader,
} = require('../controllers/worshipLeaderController');

router.get('/', authMiddleware, getAllWorshipLeaders);
router.post('/', authMiddleware, createWorshipLeader);
router.put('/:id', authMiddleware, updateWorshipLeader);
router.delete('/:id', authMiddleware, deleteWorshipLeader);

module.exports = router;

